BUG #15799: Create extension postgres_fdw failed

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

BUG #15799: Create extension postgres_fdw failed

PG Bug reporting form
The following bug has been logged on the website:

Bug reference:      15799
Logged by:          Yury Davydov
Email address:      [hidden email]
PostgreSQL version: 10.6
Operating system:   Red Hat 7.6
Description:        

create extension postgres_fdw;
ERROR:  could not load library "/usr/pgsql-10/lib/postgres_fdw.so":
/usr/pgsql-10/lib/postgres_fdw.so: undefined symbol: change_plan_targetlist

Reply | Threaded
Open this post in threaded view
|

Re: BUG #15799: Create extension postgres_fdw failed

Tom Lane-2
PG Bug reporting form <[hidden email]> writes:
> create extension postgres_fdw;
> ERROR:  could not load library "/usr/pgsql-10/lib/postgres_fdw.so":
> /usr/pgsql-10/lib/postgres_fdw.so: undefined symbol: change_plan_targetlist

This looks like a version mismatch problem --- your postgres_fdw is newer
than your server (possibly just a minor release newer, but still newer).

It's unfortunate that the error message isn't more on-point, but we don't
have enough control over the dynamic linker to make it so.

                        regards, tom lane


Reply | Threaded
Open this post in threaded view
|

RE: BUG #15799: Create extension postgres_fdw failed

Davydov, Yury
Thank you. I bounced the server second time and it worked

-----Original Message-----
From: Tom Lane <[hidden email]>
Sent: Friday, May 10, 2019 3:52 PM
To: Davydov, Yury <[hidden email]>
Cc: [hidden email]
Subject: Re: BUG #15799: Create extension postgres_fdw failed

PG Bug reporting form <[hidden email]> writes:
> create extension postgres_fdw;
> ERROR:  could not load library "/usr/pgsql-10/lib/postgres_fdw.so":
> /usr/pgsql-10/lib/postgres_fdw.so: undefined symbol:
> change_plan_targetlist

This looks like a version mismatch problem --- your postgres_fdw is newer than your server (possibly just a minor release newer, but still newer).

It's unfortunate that the error message isn't more on-point, but we don't have enough control over the dynamic linker to make it so.

regards, tom lane

The information contained in this message and its attachments is intended only for the private and confidential use of the intended recipient(s). If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly prohibited. By accepting and retaining this email, you agree not to disseminate it in any form to any person and not to alter it in any way. Thank you.